SoftSolzSoftSolz
HomeAPI GuideAPI ReferenceWidget Tester
social

Update a draft or scheduled post.

Update a draft or scheduled post.

PATCHhttps://app.softsolz.uk/api/v1/services/social/posts/{id}

Recent Requests

Log in to see full request history
TimeStatusUser Agent
Make a request to see history.

Path Params

idstringrequired

Headers

Authorizationstringrequired

Bearer token: `Bearer sk_live_...` (or `sk_test_...` for sandbox). A login token will not work here.

Idempotency-Keystring

Optional idempotency key for safe retries.

Body Params

bodystring

Post text.

mediaarray of objects

Media attachments.

targetsarray of objects

Per-account targets.

expected_updated_atstring

Optimistic-concurrency guard; mismatch returns 409 STALE_VERSION.

Response

Response Body

idstringPost id (numeric string).
tenant_idstringOwning tenant id.
bodystringPost text.
mediaarray of objectsAttachments.
statusstringOverall post status.
scheduled_forstring | nullScheduled publish time; null if not scheduled.
environmentstringEnvironment.
created_byinteger | nullUser id that created the post.
created_atstringCreation timestamp.
updated_atstringLast update timestamp.
targetsarray of objectsPer-account delivery targets.

Request

import { SoftSolz } from '@softsolz/sdk';
const client = new SoftSolz({ apiKey: process.env.SOFTSOLZ_API_KEY });
const result = await client.social.updatePost('<id>', {});
console.log(result);

Credentials

Sent as a Bearer token. Stored only in your browser.

Response · 200

{
"data": {
"id": "string",
"tenant_id": "string",
"body": "string",
"media": [],
"status": "string",
"scheduled_for": "string",
"environment": "string",
"created_by": 0,
"created_at": "string",
"updated_at": "string",
"targets": []
}
}